> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Image-Upscaler - Submit Task - gptproto

> Image-Upscaler — Submit Task (gptproto). GPTProto API reference.

Gptproto's GPTProto format for the submit task API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/api/v3/gptproto/image-upscaler" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "image": "https://oss.gptproto.com/ai-draw/user/-ead3cec3-de6b-4ed5-b38c-4d8707731686.png",
    "creativity": 0,
    "target_resolution": "2k",
    "output_format": "jpeg",
    "enable_base64_output": false,
    "enable_sync_mode": false
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/api/v3/gptproto/image-upscaler"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "image": "https://oss.gptproto.com/ai-draw/user/-ead3cec3-de6b-4ed5-b38c-4d8707731686.png",
    "creativity": 0,
    "target_resolution": "2k",
    "output_format": "jpeg",
    "enable_base64_output": false,
    "enable_sync_mode": false
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/api/v3/gptproto/image-upscaler";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "image": "https://oss.gptproto.com/ai-draw/user/-ead3cec3-de6b-4ed5-b38c-4d8707731686.png",
    "creativity": 0,
    "target_resolution": "2k",
    "output_format": "jpeg",
    "enable_base64_output": false,
    "enable_sync_mode": false
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/api/v3/gptproto/image-upscaler"

      payload := []byte(`{
  "image": "https://oss.gptproto.com/ai-draw/user/-ead3cec3-de6b-4ed5-b38c-4d8707731686.png",
  "creativity": 0,
  "target_resolution": "2k",
  "output_format": "jpeg",
  "enable_base64_output": false,
  "enable_sync_mode": false
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter              | Type    | Required | Default                                                                           | Description                    |
| ---------------------- | ------- | -------- | --------------------------------------------------------------------------------- | ------------------------------ |
| `image`                | string  | ❌ No     | `https://oss.gptproto.com/ai-draw/user/-ead3cec3-de6b-4ed5-b38c-4d8707731686.png` | Image parameter                |
| `creativity`           | integer | ❌ No     | `0`                                                                               | Creativity parameter           |
| `target_resolution`    | string  | ❌ No     | `2k`                                                                              | Target Resolution parameter    |
| `output_format`        | string  | ❌ No     | `jpeg`                                                                            | Output Format parameter        |
| `enable_base64_output` | boolean | ❌ No     | `false`                                                                           | Enable Base64 Output parameter |
| `enable_sync_mode`     | boolean | ❌ No     | `false`                                                                           | Enable Sync Mode parameter     |
